/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');




/**
 * The CatalogCustomAttributeDefinitionSelectionConfigCustomAttributeSelection model module.
 * Note: This model is in beta.
 * @module model/CatalogCustomAttributeDefinitionSelectionConfigCustomAttributeSelection
 */

/**
 * Constructs a new <code>CatalogCustomAttributeDefinitionSelectionConfigCustomAttributeSelection</code>.
 * A named selection for this &#x60;SELECTION&#x60;-type custom attribute definition.
 * @alias module:model/CatalogCustomAttributeDefinitionSelectionConfigCustomAttributeSelection
 * @class
 * @param name {String} Selection name, unique within `allowed_selections`. Required. Min length of 1, max length of 255.
 */
var exports = function(name) {
  var _this = this;


  _this['name'] = name;
};

/**
 * Constructs a <code>CatalogCustomAttributeDefinitionSelectionConfigCustomAttributeSelection</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/CatalogCustomAttributeDefinitionSelectionConfigCustomAttributeSelection} obj Optional instance to populate.
 * @return {module:model/CatalogCustomAttributeDefinitionSelectionConfigCustomAttributeSelection} The populated <code>CatalogCustomAttributeDefinitionSelectionConfigCustomAttributeSelection</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('uid')) {
      obj['uid'] = ApiClient.convertToType(data['uid'], 'String');
    }
      if (data.hasOwnProperty('name')) {
      obj['name'] = ApiClient.convertToType(data['name'], 'String');
    }
    }
  return obj;
}

/**
 * Unique ID set by Square.
 * @member {String} uid
 */
exports.prototype['uid'] = undefined;
/**
 * Selection name, unique within `allowed_selections`. Required. Min length of 1, max length of 255.
 * @member {String} name
 */
exports.prototype['name'] = undefined;



module.exports = exports;



