/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');




/**
 * The ListBreakTypesRequest model module.
 * @module model/ListBreakTypesRequest
 */

/**
 * Constructs a new <code>ListBreakTypesRequest</code>.
 * A request for a filtered set of &#x60;BreakType&#x60; objects
 * @alias module:model/ListBreakTypesRequest
 * @class
 */
var exports = function() {
  var _this = this;




};

/**
 * Constructs a <code>ListBreakTypesRequest</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/ListBreakTypesRequest} obj Optional instance to populate.
 * @return {module:model/ListBreakTypesRequest} The populated <code>ListBreakTypesRequest</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('location_id')) {
      obj['location_id'] = ApiClient.convertToType(data['location_id'], 'String');
    }
      if (data.hasOwnProperty('limit')) {
      obj['limit'] = ApiClient.convertToType(data['limit'], 'Number');
    }
      if (data.hasOwnProperty('cursor')) {
      obj['cursor'] = ApiClient.convertToType(data['cursor'], 'String');
    }
    }
  return obj;
}

/**
 * Filter Break Types returned to only those that are associated with the specified location.
 * @member {String} location_id
 */
exports.prototype['location_id'] = undefined;
/**
 * Maximum number of Break Types to return per page. Can range between 1 and 200. The default is the maximum at 200.
 * @member {Number} limit
 */
exports.prototype['limit'] = undefined;
/**
 * Pointer to the next page of Break Type results to fetch.
 * @member {String} cursor
 */
exports.prototype['cursor'] = undefined;



module.exports = exports;



